import module namespace dx = "http://schemas.epocrates.com/schemas/xquery/dx"
   at "common.xquery" ;


declare variable $high := $dx:mono/followup/complications/complication[likelihood='high'];
declare variable $medium := $dx:mono/followup/complications/complication[likelihood='medium'];
declare variable $low := $dx:mono/followup/complications/complication[likelihood='low'];


declare function local:listlike( $cs as element(complication)*) as element(CELL)*
{

	for $c at $pos in $cs
	return 
	<CELL popup="c_{dx:offset($c)}" expand="true">
	  <TEXT text="{dx:name($c/name)}"/>

	</CELL>

};
	
declare function local:popups( $cs as element(complication)*) as element(POPUP)*
{

	for $c in $cs
	return 
	<POPUP tag="c_{dx:offset($c)}" title="{$dx:mono_name}" subtitle="Complications: {dx:name($c/name)}"   maxheight="{$dx:popheight}">
	{ 
	   dx:para_text( $c/detail/* ) ,
	   let $link := dx:linkdx( $c/@dx_id ) 
	   return


  	  if( exists( $link ) ) then 
	  (
	  	<BR/>,
(:
		<PUSHBUTTON name="px_{dx:offset($c)}" label="View Full Topic">{$link}</PUSHBUTTON>
:)
		<A >{$link}{"View Full Topic"}</A>

	  ) else () 

	 }
	</POPUP> 

};	

declare function local:complications() 
{
  ( 
	  local:popups( $high ),
	  local:popups( $medium ),
	  local:popups( $low )  ,
	if( exists($high) ) then 
		<GROUP heading="High Likelihood">{local:listlike( $high )}</GROUP>
	else (),
	if( exists($medium) ) then 
		<GROUP heading="Medium Likelihood">{local:listlike( $medium )}</GROUP>
	else (),

	if( exists($low) ) then 
		<GROUP heading="Low Likelihood">{local:listlike( $low)}</GROUP>
	else ()
  )

};

dx:xlist("complications","Complications",

<XLIST>
{
	local:complications()
}
</XLIST>
)(: Stylus Studio meta-information - (c) 2004-2008. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="yes" name="150" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\..\xml\150.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
			<advancedProperties name="bUseDTD" value="false"/>
		</scenario>
		<scenario default="no" name="155" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\..\xml\155.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
			<advancedProperties name="bUseDTD" value="false"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition></MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
:)