import module namespace dx = "http://schemas.epocrates.com/schemas/xquery/dx"
   at "common.xquery" ;

declare variable $riskfactors := $dx:mono/basics/risk_factors/risk_factor;




declare function local:factor_popups( $diags as element(factor)* ) as element(POPUP)*
{

    for $fact in $diags 
	return 
	if( exists( $fact/detail ) ) then 
     <POPUP title="{$dx:mono_name}" subtitle="Diagnostic Factor Details: {$fact/factor_name/string()}"  tag="fact_{ dx:offset($fact)}">
		{dx:para_text( $fact/detail/* )}
	 </POPUP>
  else () 

};


declare function local:factor( $fact as element(factor) ) as element(CELL)
{
	<CELL  >
	    {
			if( exists( $fact/detail ) ) then (
				attribute { "popup" }
						  { concat("fact_", dx:offset($fact) ) },
				attribute { "expand" } { "true" } 
			
			) 
			else ()
		}
		<TEXT xpos="5" width="95"  text="{dx:text( $fact/factor_name )}" />
	</CELL>
};

dx:xlist("hxexam","Hx/Exam",
<XLIST>
{
  	let $key_diag 	:= $dx:mono//diagnostic_factors/factor[key_factor='true'],
	    $other_diag := $dx:mono//diagnostic_factors/factor[key_factor='false']

	return
(
	local:factor_popups($dx:mono//diagnostic_factors/factor),
	
	if( exists( $dx:mono/basics/risk_factors/risk_factor) ) then 

	<GROUP heading="Risk Factors">
	   <CELL page='{dx:pagetarget("risk-factor-details")}'>
	      <TEXT text="Details"/>
	   </CELL>
	</GROUP>
	else ()
	,
	if( exists( $key_diag ) ) then 
		<GROUP heading="Key Diagnostic Factors">
		{
		for $freq in distinct-values( $key_diag/frequency )
		order by $freq 
		return
		( 
			<CELL><TEXT bold="true" text="{$freq }" fgcolor="header"/></CELL>,
			
			for $fact in $key_diag[frequency=$freq]
			return
				local:factor( $fact ) 
	
		)
		}
		</GROUP>
		
	else (),
	if( exists( $other_diag ) ) then 
		<GROUP heading="Other Diagnostic Factors">
		{
		for $freq in distinct-values( $other_diag/frequency )
		order by $freq 
		return
		( 
			<CELL ><TEXT bold="true" text="{$freq }" fgcolor="header"/></CELL>,
			
			for $fact in $other_diag[frequency=$freq]
			return
				local:factor( $fact ) 
	
		)
		}
		</GROUP>
		
	else ()
)
}

</XLIST>
)(: Stylus Studio meta-information - (c) 2004-2008. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="yes" name="150" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\..\xml\150.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
			<advancedProperties name="bUseDTD" value="false"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition></MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
:)