import module namespace dx = "http://schemas.epocrates.com/schemas/xquery/dx"
   at "common.xquery" ;

declare variable $riskfactors := $dx:mono/basics/risk_factors/risk_factor;


declare function local:risk_popups()
{
    let $t := $dx:mono_name
	for $r in $riskfactors
	where exists( $r/detail )
	return 
		<POPUP  title="{$dx:mono_name}" subtitle="Risk Factor Details: {dx:name($r/name)}" tag="r_{dx:offset($r)}">
		   {dx:para_text( $r/detail/* )}
		</POPUP>

};

declare function local:risk( $r as element( risk_factor ) ) as element(CELL)
{
	if( exists( $r/detail ) ) then 

	<CELL popup="r_{dx:offset($r)}" expand="true"> 
		<TEXT text="{dx:name($r/name)}"/>
	</CELL>
    else 
	<CELL> 
		<TEXT text="{dx:name($r/name)}"/>
	</CELL>

};




dx:xlist("risk-factor-details","Risk Factors",
<XLIST>
{
  	let $strong := $riskfactors[strength="strong"],
		$weak 	:= $riskfactors[strength="weak"]

	return
(
	local:risk_popups(),
	if( exists( $strong ) ) then 
	<GROUP heading="Strong">
	{
		for $r in $strong
		return
			local:risk($r)
	}
	</GROUP>
	
	else () 
	,
	
	if( exists( $weak ) ) then 
	<GROUP heading="Weak">
	{
		for $r in $weak
		return
			local:risk($r)
	
	}
	</GROUP>
	else () 
)
}
</XLIST>
)(: Stylus Studio meta-information - (c) 2004-2008. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="no" name="150" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\xml\150.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
			<advancedProperties name="bUseDTD" value="false"/>
		</scenario>
		<scenario default="no" name="411" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\xml\14.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bUseDTD" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
		</scenario>
		<scenario default="yes" name="66" userelativepaths="yes" externalpreview="no" useresolver="yes" url="..\..\xml\66.xml" outputurl="" processortype="saxon" tcpport="60291088" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no"
		          validator="internal" customvalidator="">
			<advancedProperties name="bSchemaAware" value="false"/>
			<advancedProperties name="bXml11" value="false"/>
			<advancedProperties name="iValidation" value="0"/>
			<advancedProperties name="bExtensions" value="true"/>
			<advancedProperties name="iWhitespace" value="0"/>
			<advancedProperties name="bTinyTree" value="false"/>
			<advancedProperties name="bWarnings" value="true"/>
			<advancedProperties name="bUseDTD" value="false"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition></MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
:)